aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcore/ca-certificates/build3
-rw-r--r--core/ca-certificates/checksums1
-rwxr-xr-xcore/ca-certificates/files/cert.sh11
-rwxr-xr-xcore/ca-certificates/post-install3
-rw-r--r--core/ca-certificates/sources1
-rw-r--r--core/ca-certificates/version1
6 files changed, 20 insertions, 0 deletions
diff --git a/core/ca-certificates/build b/core/ca-certificates/build
new file mode 100755
index 00000000..bc275ee1
--- /dev/null
+++ b/core/ca-certificates/build
@@ -0,0 +1,3 @@
+#!/bin/sh -e
+
+install -Dm755 cert.sh "$1/etc/certificates/update-certdata.sh"
diff --git a/core/ca-certificates/checksums b/core/ca-certificates/checksums
new file mode 100644
index 00000000..f7b039ee
--- /dev/null
+++ b/core/ca-certificates/checksums
@@ -0,0 +1 @@
+33f502c1650911ad511c4c4198abd249c512c3d7f6a67653ea11501d86ed5c5b cert.sh
diff --git a/core/ca-certificates/files/cert.sh b/core/ca-certificates/files/cert.sh
new file mode 100755
index 00000000..5ac6a223
--- /dev/null
+++ b/core/ca-certificates/files/cert.sh
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+#
+# update-certdata.sh
+
+[ -w "$KISS_ROOT/etc/certificates" ] || {
+ printf '%s\n' "${0##*/}: root required to update CA certificates." >&2
+ exit 1
+}
+
+wget https://curl.haxx.se/ca/cacert.pem -O "$KISS_ROOT/etc/certificates/cert.pem"
+printf '%s\n' "${0##*/}: updated cert.pem"
diff --git a/core/ca-certificates/post-install b/core/ca-certificates/post-install
new file mode 100755
index 00000000..84fe02d4
--- /dev/null
+++ b/core/ca-certificates/post-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+"$KISS_ROOT/etc/certificates/update-certdata.sh"
diff --git a/core/ca-certificates/sources b/core/ca-certificates/sources
new file mode 100644
index 00000000..198fd03e
--- /dev/null
+++ b/core/ca-certificates/sources
@@ -0,0 +1 @@
+files/cert.sh
diff --git a/core/ca-certificates/version b/core/ca-certificates/version
new file mode 100644
index 00000000..d8cfd61d
--- /dev/null
+++ b/core/ca-certificates/version
@@ -0,0 +1 @@
+20200601 1